Bug 145488 - mail/dovecot configure no longer uses/understands --disable-ipv6
Summary: mail/dovecot configure no longer uses/understands --disable-ipv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-08 03:40 UTC by Jeremy Chadwick
Modified: 2010-04-24 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Chadwick 2010-04-08 03:40:05 UTC
	Dovecot's configure script no longer understands the --disable-ipv6
	argument.  This results in the following warning during build:

===>  Applying FreeBSD patches for dovecot-1.2.10
===>   dovecot-1.2.10 depends on shared library: iconv.3 - found
===>  Configuring for dovecot-1.2.10
configure: WARNING: unrecognized options: --disable-ipv6

	The removal of this option was documented in the official
	dovecot ChangeLog:

* configure.in:
configure: Removed --disable-ipv6 parameter. There's really no point
having it. Originally it was added back when some OSes had broken
IPv6 support, but those OSes should be long gone by now. Also we
still support automatically building without IPv6 support if it's
not detected.
[3270d0867546]

	This is okay -- dovecot's configure script does correctly figure out
	if the system supports IPv6 or not.

Fix: 

Change the port Makefile as follows:

	1) Remove IPV6 from the OPTIONS list
	2) Remove the .if defined(WITHOUT_IPV6) block of code
How-To-Repeat: 	Build dovecot with IPV6 de-selected from OPTIONS.
Comment 1 Edwin Groothuis freebsd_committer 2010-04-08 06:09:35 UTC
Maintainer of mail/dovecot,

Please note that PR ports/145488 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/145488

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-04-08 06:09:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sahil Tandon freebsd_committer 2010-04-12 03:04:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-04-24 22:20:48 UTC
sahil       2010-04-24 21:20:34 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo 
  Log:
  - Update to 1.2.11 [1]
  - Remove IPV6 from OPTIONS [2]
  
  PR:             ports/144897 [1], ports/145488 [2]
  Submitted by:   Denny Lin <dennylin93@cnmc32.hs.ntnu.edu.tw> [1]
  Submitted by:   Jeremy Chadwick <freebsd@jdc.parodius.com> [2]
  Approved by:    maintainer timeout (> 2 weeks)
  Approved by:    wxs@ (mentor)
  
  Revision  Changes    Path
  1.113     +1 -8      ports/mail/dovecot/Makefile
  1.75      +6 -6      ports/mail/dovecot/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sahil Tandon freebsd_committer 2010-04-24 22:25:05 UTC
State Changed
From-To: feedback->closed

Fixed, thanks.